diff -Nurd -x'*~' gnotepad+-1.3.3.orig/configure gnotepad+-1.3.3/configure
--- gnotepad+-1.3.3.orig/configure	2001-01-01 13:38:31.000000000 -0500
+++ gnotepad+-1.3.3/configure	2009-02-15 10:26:08.000000000 -0500
@@ -2023,11 +2023,11 @@
   else
     GTK_CFLAGS=`$GTK_CONFIG $gtk_config_args --cflags`
     GTK_LIBS=`$GTK_CONFIG $gtk_config_args --libs`
-    gtk_config_major_version=`$GTK_CONFIG $gtk_config_args --version | \
+    gtk_config_major_version=`$GTK_CONFIG $gtk_config_args --modversion | \
            sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\1/'`
-    gtk_config_minor_version=`$GTK_CONFIG $gtk_config_args --version | \
+    gtk_config_minor_version=`$GTK_CONFIG $gtk_config_args --modversion | \
            sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\2/'`
-    gtk_config_micro_version=`$GTK_CONFIG $gtk_config_args --version | \
+    gtk_config_micro_version=`$GTK_CONFIG $gtk_config_args --modversion | \
            sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\3/'`
     if test "x$enable_gtktest" = "xyes" ; then
       ac_save_CFLAGS="$CFLAGS"
@@ -2065,7 +2065,7 @@
       (gtk_minor_version != $gtk_config_minor_version) ||
       (gtk_micro_version != $gtk_config_micro_version))
     {
-      printf("\n*** 'gtk-config --version' returned %d.%d.%d, but GTK+ (%d.%d.%d)\n", 
+      printf("\n*** 'gtk-config --modversion' returned %d.%d.%d, but GTK+ (%d.%d.%d)\n", 
              $gtk_config_major_version, $gtk_config_minor_version, $gtk_config_micro_version,
              gtk_major_version, gtk_minor_version, gtk_micro_version);
       printf ("*** was found! If gtk-config was correct, then it is best\n");
@@ -3050,11 +3050,11 @@
   else
     GTK_CFLAGS=`$GTK_CONFIG $gtk_config_args --cflags`
     GTK_LIBS=`$GTK_CONFIG $gtk_config_args --libs`
-    gtk_config_major_version=`$GTK_CONFIG $gtk_config_args --version | \
+    gtk_config_major_version=`$GTK_CONFIG $gtk_config_args --modversion | \
            sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\1/'`
-    gtk_config_minor_version=`$GTK_CONFIG $gtk_config_args --version | \
+    gtk_config_minor_version=`$GTK_CONFIG $gtk_config_args --modversion | \
            sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\2/'`
-    gtk_config_micro_version=`$GTK_CONFIG $gtk_config_args --version | \
+    gtk_config_micro_version=`$GTK_CONFIG $gtk_config_args --modversion | \
            sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\3/'`
     if test "x$enable_gtktest" = "xyes" ; then
       ac_save_CFLAGS="$CFLAGS"
@@ -3092,7 +3092,7 @@
       (gtk_minor_version != $gtk_config_minor_version) ||
       (gtk_micro_version != $gtk_config_micro_version))
     {
-      printf("\n*** 'gtk-config --version' returned %d.%d.%d, but GTK+ (%d.%d.%d)\n", 
+      printf("\n*** 'gtk-config --modversion' returned %d.%d.%d, but GTK+ (%d.%d.%d)\n", 
              $gtk_config_major_version, $gtk_config_minor_version, $gtk_config_micro_version,
              gtk_major_version, gtk_minor_version, gtk_micro_version);
       printf ("*** was found! If gtk-config was correct, then it is best\n");
@@ -5159,7 +5159,7 @@
    sed -e "/^#/d" -e "/^\$/d" -e "s,.*,	$posrcprefix& \\\\," -e "\$s/\(.*\) \\\\/\1/" \
 	< $srcdir/po/POTFILES.in > po/POTFILES
   
-gnplocaledir='${prefix}/${DATADIRNAME}/locale'
+gnplocaledir='${datadir}/locale'
 
 
 
diff -Nurd -x'*~' gnotepad+-1.3.3.orig/src/Makefile.in gnotepad+-1.3.3/src/Makefile.in
--- gnotepad+-1.3.3.orig/src/Makefile.in	2001-01-01 13:39:30.000000000 -0500
+++ gnotepad+-1.3.3/src/Makefile.in	2010-05-25 18:50:47.000000000 -0400
@@ -127,7 +127,7 @@
 misc.o msgbar.o msgbox.o prefs.o prefs_noglade.o prefs_nognome.o \
 print.o prjbar.o project.o recent.o randomtips.o search.o shellcmd.o \
 srcctrl.o toolbar.o undo.o win.o
-gnp_LDADD = $(LDADD)
+gnp_LDADD = $(LDADD) $(INTLLIBS)
 gnp_DEPENDENCIES = 
 gnp_LDFLAGS = 
 CFLAGS = @CFLAGS@
diff -Nurd -x'*~' gnotepad+-1.3.3.orig/src/gtkefilesel.c gnotepad+-1.3.3/src/gtkefilesel.c
--- gnotepad+-1.3.3.orig/src/gtkefilesel.c	2000-03-14 02:17:52.000000000 -0500
+++ gnotepad+-1.3.3/src/gtkefilesel.c	2009-02-15 17:00:19.000000000 -0500
@@ -1524,7 +1524,7 @@
 	row = gtk_clist_append(GTK_CLIST(fs->dir_list), text);
 
 	/*reset the max widths of the lists */
-	dir_list_width = gdk_string_width(fs->dir_list->style->font, "../");
+	dir_list_width = gdk_string_width(gtk_style_get_font(fs->dir_list->style), "../");
 	gtk_clist_set_column_width(GTK_CLIST(fs->dir_list), 0, dir_list_width);
 	file_list_width = 1;
 	gtk_clist_set_column_width(GTK_CLIST(fs->file_list), 0,file_list_width);
@@ -1540,7 +1540,7 @@
 			if (cmpl_is_directory(poss)) {
 				if (strcmp(filename, "./") != 0 &&
 				    strcmp(filename, "../") != 0) {
-					int width = gdk_string_width(fs->dir_list->style->font, filename);
+				  int width = gdk_string_width(gtk_style_get_font(fs->dir_list->style), filename);
 					row = gtk_clist_append(GTK_CLIST(fs->dir_list), text);
 					if (width > dir_list_width) {
 						dir_list_width = width;
@@ -1549,7 +1549,7 @@
 					}
 				}
 			} else {
-				int width = gdk_string_width(fs->file_list->style->font,
+			  int width = gdk_string_width(gtk_style_get_font(fs->file_list->style),
 							     filename);
 				row = gtk_clist_append(GTK_CLIST(fs->file_list), text);
 				if (width > file_list_width) {
diff -Nurd -x'*~' gnotepad+-1.3.3.orig/src/htmltags.c gnotepad+-1.3.3/src/htmltags.c
--- gnotepad+-1.3.3.orig/src/htmltags.c	2000-11-16 02:23:02.000000000 -0500
+++ gnotepad+-1.3.3/src/htmltags.c	2009-02-15 03:14:37.000000000 -0500
@@ -3339,9 +3339,9 @@
 	 * around the highlighted text.
 	 */
 	d = DOC_CURRENT(w);
-	if (GTK_EDITABLE(d->data)->has_selection) {
-		start = GTK_EDITABLE(d->data)->selection_start_pos;
-		stop = GTK_EDITABLE(d->data)->selection_end_pos;
+	if (GTK_OLD_EDITABLE(d->data)->has_selection) {
+		start = GTK_OLD_EDITABLE(d->data)->selection_start_pos;
+		stop = GTK_OLD_EDITABLE(d->data)->selection_end_pos;
 		if (stop < start)
 			SWAP_INT(stop, start);
 		len += (stop - start);
@@ -3596,9 +3596,9 @@
 	hedp->dlg_pages = dlg_pages;
 
 	/* check if there is text already selected */
-	if (GTK_EDITABLE(d->data)->has_selection) {
-		hedp->start = GTK_EDITABLE(d->data)->selection_start_pos;
-		hedp->stop = GTK_EDITABLE(d->data)->selection_end_pos;
+	if (GTK_OLD_EDITABLE(d->data)->has_selection) {
+		hedp->start = GTK_OLD_EDITABLE(d->data)->selection_start_pos;
+		hedp->stop = GTK_OLD_EDITABLE(d->data)->selection_end_pos;
 		if (hedp->stop < hedp->start)
 			SWAP_INT(hedp->stop, hedp->start);
 	}
@@ -4212,9 +4212,9 @@
 	hedp->htp = htp;
 
 	/* check if there is text already selected */
-	if (GTK_EDITABLE(d->data)->has_selection) {
-		hedp->start = GTK_EDITABLE(d->data)->selection_start_pos;
-		hedp->stop = GTK_EDITABLE(d->data)->selection_end_pos;
+	if (GTK_OLD_EDITABLE(d->data)->has_selection) {
+		hedp->start = GTK_OLD_EDITABLE(d->data)->selection_start_pos;
+		hedp->stop = GTK_OLD_EDITABLE(d->data)->selection_end_pos;
 		if (hedp->stop < hedp->start)
 			SWAP_INT(hedp->stop, hedp->start);
 		entrytxt = gtk_editable_get_chars(GTK_EDITABLE(d->data),
diff -Nurd -x'*~' gnotepad+-1.3.3.orig/src/menu.c gnotepad+-1.3.3/src/menu.c
--- gnotepad+-1.3.3.orig/src/menu.c	2000-04-13 22:45:15.000000000 -0400
+++ gnotepad+-1.3.3/src/menu.c	2009-02-15 17:27:21.000000000 -0500
@@ -62,11 +62,10 @@
 static void menu_gnome_setup_post1(win_t *w, GnomeUIInfo *menu);
 static void menu_gnome_setup_post2(win_t *w, GnomeUIInfo *mip);
 
-
 /*** local variables ***/
 static GnomeUIInfo view_html_menu[] = {
-	{
 #ifdef USE_GTKXMHTML
+	{
 		GNOME_APP_UI_ITEM,
 		N_("View in XmHTML Window"),
 		N_("View in XmHTML Window"),
@@ -3770,7 +3769,7 @@
 	 */
 	gtk_item_factory_create_items_ac(w->mainfact, numitems, mainmenu, w, 2);
 
-	gtk_accel_group_attach(accgrp, GTK_OBJECT(w->toplev));
+	gtk_window_add_accel_group(GTK_WINDOW(w->toplev),accgrp);
 	w->menubar = gtk_item_factory_get_widget(w->mainfact, "<main>");
 
 	menu_main_state_set((void *)w);
diff -Nurd -x'*~' gnotepad+-1.3.3.orig/src/misc.c gnotepad+-1.3.3/src/misc.c
--- gnotepad+-1.3.3.orig/src/misc.c	2000-04-18 21:27:28.000000000 -0400
+++ gnotepad+-1.3.3/src/misc.c	2009-02-15 10:59:07.000000000 -0500
@@ -58,7 +58,7 @@
 my_glade_xml_get(char *root)
 {
 	g_assert(root);
-	return glade_xml_new(prefs.gladerc, root);
+	return glade_xml_new(prefs.gladerc, root, NULL);
 }
 #endif
 
@@ -428,7 +428,7 @@
  * Stephen R. van den Berg, berg@pool.informatik.rwth-aachen.de	*/
 typedef unsigned chartype;
 char *
-strcasestr(const char *phaystack, const char *pneedle)
+_my_strcasestr(const char *phaystack, const char *pneedle)
 {
 	register const unsigned char *haystack, *needle;
 	register chartype b, c;
diff -Nurd -x'*~' gnotepad+-1.3.3.orig/src/misc.h gnotepad+-1.3.3/src/misc.h
--- gnotepad+-1.3.3.orig/src/misc.h	2000-03-30 23:40:06.000000000 -0500
+++ gnotepad+-1.3.3/src/misc.h	2009-02-15 10:59:27.000000000 -0500
@@ -67,7 +67,7 @@
 extern char *ltoa(long num);
 #endif	/* USE_FILEINFO */
 #ifdef USE_SEARCH
-extern char * strcasestr(const char *phaystack, const char *pneedle);
+extern char * _my_strcasestr(const char *phaystack, const char *pneedle);
 #endif	/* USE_SEARCH */
 #ifdef GTK_HAVE_FEATURES_1_1_0
 # define my_basename(name)	g_basename((const gchar *)(name))
diff -Nurd -x'*~' gnotepad+-1.3.3.orig/src/prefs.c gnotepad+-1.3.3/src/prefs.c
--- gnotepad+-1.3.3.orig/src/prefs.c	2001-01-01 15:18:52.000000000 -0500
+++ gnotepad+-1.3.3/src/prefs.c	2009-02-15 04:14:48.000000000 -0500
@@ -2129,18 +2129,17 @@
 	style->base[GTK_STATE_SELECTED].blue  = prefs.text_hlbg_color.blue;
 	style->base[GTK_STATE_SELECTED].green = prefs.text_hlbg_color.green;
 
-	gtk_widget_push_style(style);
 	if (!IS_USE_FONTSET()) {
-		if ((style->font = gdk_font_load(prefs.text_font_str)) == NULL)
-			style->font = gdk_font_load("7x13");
+	  gtk_style_set_font(style,gdk_font_load(prefs.text_font_str));
+	  if (gtk_style_get_font(style) == NULL)
+	    gtk_style_set_font(style,gdk_font_load("7x13"));
 	} else {
-		style->font = gdk_fontset_load(prefs.text_font_str);
-		if (style->font == NULL)
-			style->font = gdk_fontset_load("7x13,*");
+	  gtk_style_set_font(style,gdk_fontset_load(prefs.text_font_str));
+	  if (gtk_style_get_font(style) == NULL)
+	    gtk_style_set_font(style,gdk_fontset_load("7x13,*"));
 	}
-	prefs.text_font = style->font;
+	prefs.text_font = gtk_style_get_font(style);
 	gtk_widget_set_style(wgt, style);
-	gtk_widget_pop_style();
 } /* prefs_update_text_widget_style */
 #endif	/* GTK_HAVE_FEATURES_1_1_0 */
 
@@ -2659,7 +2658,6 @@
 {
 	GtkWidget *prefs_nb;
 #ifdef USE_GNOME
-	static GnomeHelpMenuEntry helpentry = { NULL, "prefs" };
 # ifdef USE_LIBGLADE
 	GladeXML *xml;
 # endif
@@ -2720,14 +2718,13 @@
 #endif
 	/* lastly, the buttons */
 #ifdef USE_GNOME
-	helpentry.name = gnome_app_id;
 	gtk_signal_connect(GTK_OBJECT(prefs_win), "delete_event",
 			   GTK_SIGNAL_FUNC(gtk_false), NULL);
 	gtk_signal_connect(GTK_OBJECT(prefs_win), "apply",
 			   GTK_SIGNAL_FUNC(prefs_apply_cb), w);
 	gtk_signal_connect(GTK_OBJECT(prefs_win), "help",
-			   GTK_SIGNAL_FUNC(gnome_help_pbox_display),
-			   &helpentry);
+			   GTK_SIGNAL_FUNC(gnome_help_display),
+			   "prefs");
 # ifdef USE_GLADE
 	gtk_signal_connect_object(GTK_OBJECT(prefs_win), "destroy",
 				  GTK_SIGNAL_FUNC(gtk_object_destroy),
diff -Nurd -x'*~' gnotepad+-1.3.3.orig/src/prefs_noglade.c gnotepad+-1.3.3/src/prefs_noglade.c
--- gnotepad+-1.3.3.orig/src/prefs_noglade.c	2000-04-18 21:29:47.000000000 -0400
+++ gnotepad+-1.3.3/src/prefs_noglade.c	2009-02-15 17:05:28.000000000 -0500
@@ -28,6 +28,7 @@
 #include "prefs_noglade.h"
 
 #include "gnpintl.h"
+#include <string.h>
 
 #ifndef USE_LIBGLADE
 
diff -Nurd -x'*~' gnotepad+-1.3.3.orig/src/search.c gnotepad+-1.3.3/src/search.c
--- gnotepad+-1.3.3.orig/src/search.c	2000-05-01 12:02:02.000000000 -0400
+++ gnotepad+-1.3.3/src/search.c	2009-02-15 04:02:51.000000000 -0500
@@ -576,10 +576,10 @@
 		/*
 		startpos = gtk_text_get_point(GTK_TEXT(d->data));
 		*/
-		if (GTK_EDITABLE(d->data)->selection_end_pos)
-			startpos = GTK_EDITABLE(d->data)->selection_end_pos;
+		if (GTK_OLD_EDITABLE(d->data)->selection_end_pos)
+			startpos = GTK_OLD_EDITABLE(d->data)->selection_end_pos;
 		else
-			startpos = GTK_EDITABLE(d->data)->current_pos;
+			startpos = GTK_OLD_EDITABLE(d->data)->current_pos;
 		GNPDBG_SEARCH(("search_execute: starting at cur pos = %d\n",
 				startpos));
 	} else {
diff -Nurd -x'*~' gnotepad+-1.3.3.orig/src/toolbar.c gnotepad+-1.3.3/src/toolbar.c
--- gnotepad+-1.3.3.orig/src/toolbar.c	2000-04-17 03:39:10.000000000 -0400
+++ gnotepad+-1.3.3/src/toolbar.c	2009-02-15 10:51:02.000000000 -0500
@@ -25,6 +25,7 @@
 #include <glib.h>
 #ifdef USE_GNOME
 #include <gnome.h>
+#include <gdl/gdl.h>
 #endif
 #include "doc.h"
 #include "toolbar.h"
@@ -205,7 +206,7 @@
 
 		tb = html_tb_create(w);
 #ifdef USE_GNOME
-		tmp = GNOME_DOCK_ITEM(w->html_tb_h)->bin.child;
+		tmp = GDL_DOCK_ITEM(w->html_tb_h)->bin.child;
 #else
 		tmp = GTK_HANDLE_BOX(w->html_tb_h)->bin.child;
 #endif
@@ -446,8 +447,6 @@
 
 	tb = toolbar_create_common(tbdata, w);
 	GTK_WIDGET_UNSET_FLAGS(tb, GTK_CAN_FOCUS);
-	gtk_toolbar_set_button_relief(GTK_TOOLBAR(tb),
-		(IS_TOOLBAR_RAISED()) ? GTK_RELIEF_NORMAL : GTK_RELIEF_NONE);
 	gtk_container_border_width(GTK_CONTAINER(tb), 2);
 	w->tblist = g_slist_prepend(w->tblist, tb);
 	return tb;
@@ -469,22 +468,18 @@
 	GtkWidget *tb_h;
 #ifdef USE_GNOME
 	GtkWidget *dockitem;
-	GnomeDockItemBehavior behavior;
+	GdlDockItemBehavior behavior;
 	GnomeApp *app = GNOME_APP(w->toplev);
 
 	if (tbname) {
-		behavior = GNOME_DOCK_ITEM_BEH_EXCLUSIVE |
-			   GNOME_DOCK_ITEM_BEH_NEVER_VERTICAL;
-		dockitem = gnome_dock_item_new(tbname, behavior);
+		behavior = GDL_DOCK_ITEM_BEH_NEVER_VERTICAL;
+		dockitem = gdl_dock_item_new(tbname, tbname, behavior);
 		gtk_container_add(GTK_CONTAINER(dockitem), GTK_WIDGET(tb));
 		tb_h = dockitem;
-		gnome_dock_add_item(GNOME_DOCK(app->dock),
-				    GNOME_DOCK_ITEM(dockitem),
-				    GNOME_DOCK_TOP, /* placement, */
-				    1, /* band_num, */
-				    0, /* band_position, */
-				    0, /* offset, */
-				    TRUE);
+		gdl_dock_add_item(GDL_DOCK(app->dock),
+				    GDL_DOCK_ITEM(dockitem),
+				    GDL_DOCK_TOP /* placement, */
+				  );
 	} else {
 #endif
 	tb_h = gtk_handle_box_new();
@@ -535,14 +530,6 @@
 static void
 tb_raised_on_off(GtkWidget *tb)
 {
-	if (tb && GTK_IS_TOOLBAR(tb)) {
-		if (IS_TOOLBAR_RAISED())
-			gtk_toolbar_set_button_relief(GTK_TOOLBAR(tb),
-						      GTK_RELIEF_NORMAL);
-		else
-			gtk_toolbar_set_button_relief(GTK_TOOLBAR(tb),
-						      GTK_RELIEF_NONE);
-	}
 } /* tb_raised_on_off */
 #endif
 
@@ -577,15 +564,18 @@
 	g_assert(tbdp != NULL);
 
 	if (IS_TEXT_TOOLBAR()) {
-		tb = gtk_toolbar_new(GTK_ORIENTATION_HORIZONTAL,
-				     GTK_TOOLBAR_TEXT);
+		tb = gtk_toolbar_new();
+		gtk_toolbar_set_orientation(GTK_TOOLBAR(tb), GTK_ORIENTATION_HORIZONTAL);
+		gtk_toolbar_set_style(GTK_TOOLBAR(tb), GTK_TOOLBAR_TEXT);
 	} else if (IS_PIC_TOOLBAR()) {
-		tb = gtk_toolbar_new(GTK_ORIENTATION_HORIZONTAL,
-				     GTK_TOOLBAR_ICONS);
+		tb = gtk_toolbar_new();
+		gtk_toolbar_set_orientation(GTK_TOOLBAR(tb), GTK_ORIENTATION_HORIZONTAL);
+		gtk_toolbar_set_style(GTK_TOOLBAR(tb), GTK_TOOLBAR_ICONS);
 	} else {
 		SET_PIC_TEXT_TOOLBAR();
-		tb = gtk_toolbar_new(GTK_ORIENTATION_HORIZONTAL,
-				     GTK_TOOLBAR_BOTH);
+		tb = gtk_toolbar_new();
+		gtk_toolbar_set_orientation(GTK_TOOLBAR(tb), GTK_ORIENTATION_HORIZONTAL);
+		gtk_toolbar_set_style(GTK_TOOLBAR(tb), GTK_TOOLBAR_BOTH);
 	}
 
 	while (tbdp->text != NULL) {
diff -Nurd -x'*~' gnotepad+-1.3.3.orig/po/Makefile.in.in gnotepad+-1.3.3/po/Makefile.in.in
--- gnotepad+-1.3.3.orig/po/Makefile.in.in	1999-10-27 23:17:09.000000000 -0400
+++ gnotepad+-1.3.3/po/Makefile.in.in	2010-07-31 22:28:51.000000000 -0400
@@ -19,7 +19,7 @@
 prefix = @prefix@
 exec_prefix = @exec_prefix@
 datadir = $(prefix)/@DATADIRNAME@
-localedir = $(datadir)/locale
+localedir = $(prefix)/share/locale
 gnulocaledir = $(prefix)/share/locale
 gettextsrcdir = $(prefix)/share/gettext/po
 subdir = po
@@ -111,7 +111,7 @@
 install-data-no: all
 install-data-yes: all
 	if test -r "$(MKINSTALLDIRS)"; then \
-	  $(MKINSTALLDIRS) $(datadir); \
+	  $(MKINSTALLDIRS) ${DESTDIR}$(datadir); \
 	else \
 	  $(SHELL) $(top_srcdir)/mkinstalldirs $(datadir); \
 	fi
@@ -125,13 +126,13 @@
 	  lang=`echo $$cat | sed 's/\$(CATOBJEXT)$$//'`; \
 	  dir=$$destdir/$$lang/LC_MESSAGES; \
 	  if test -r "$(MKINSTALLDIRS)"; then \
-	    $(MKINSTALLDIRS) $$dir; \
+	    $(MKINSTALLDIRS) ${DESTDIR}$$dir; \
 	  else \
 	    $(SHELL) $(top_srcdir)/mkinstalldirs $$dir; \
 	  fi; \
 	  if test -r $$cat; then \
-	    $(INSTALL_DATA) $$cat $$dir/$(PACKAGE)$(INSTOBJEXT); \
-	    echo "installing $$cat as $$dir/$(PACKAGE)$(INSTOBJEXT)"; \
+	    $(INSTALL_DATA) $$cat ${DESTDIR}$$dir/$(PACKAGE)$(INSTOBJEXT); \
+	    echo "installing $$cat as ${DESTDIR}$$dir/$(PACKAGE)$(INSTOBJEXT)"; \
 	  else \
 	    $(INSTALL_DATA) $(srcdir)/$$cat $$dir/$(PACKAGE)$(INSTOBJEXT); \
 	    echo "installing $(srcdir)/$$cat as" \