diff -Naur wl-2.12.2.orig/WL-CFG wl-2.12.2/WL-CFG
--- wl-2.12.2.orig/WL-CFG	Wed Apr  9 08:18:41 2003
+++ wl-2.12.2/WL-CFG	Mon Mar 14 16:32:32 2005
@@ -9,7 +9,7 @@
 ;		 load-path))
 
 ;; If you want to install utils, uncomment following line.
-;(setq wl-install-utils t)
+(setq wl-install-utils t)
 
 ;; Set language for info file ("ja" or "en", both in default).
 ;; If you only need manual in English, uncomment following line.
diff -Naur wl-2.14.0.orig/fink/wl-install wl-2.14.0/fink/wl-install
--- wl-2.14.0.orig/fink/wl-install	1970-01-01 09:00:00.000000000 +0900
+++ wl-2.14.0/fink/wl-install	2006-03-23 12:11:00.000000000 +0900
@@ -0,0 +1,228 @@
+#!/bin/sh
+# @PREFIX@/lib/emacsen-common/packages/install/wl
+set -e
+
+FLAVOR=$1
+VERSION=@VERSION@
+PACKAGE=wl
+
+if [ "X${FLAVOR}" = "X" ]; then
+  echo Need argument to determin FLAVOR of emacsen
+  exit 1
+fi
+if [ "X${PACKAGE}" = "X" ]; then
+  echo Internal error: need package name
+  exit 1
+fi
+if [ "X${FLAVOR}" = Xemacs ]; then exit 0; fi
+if [ "X${FLAVOR}" = Xemacs19 ]; then exit 0; fi
+
+ELDIR=@PREFIX@/share/emacs/site-lisp/wl
+ELCDIR_BASE=@PREFIX@/share/${FLAVOR}/site-lisp/wl
+SITELISP=@PREFIX@/share/${FLAVOR}/site-lisp
+APEL_DIR_BASE=${SITELISP}/apel
+FLIM_DIR_BASE=${SITELISP}/flim
+SEMI_DIR_BASE=${SITELISP}/semi
+W3M_DIR_BASE=${SITELISP}/w3m
+BBDB_DIR_BASE=${SITELISP}/bbdb
+
+EMACSEN_MULE=${FLAVOR}
+EMACSEN_NOMULE=""
+
+FLAVOR_SUFFIX=`echo ${FLAVOR} | cut -s -d - -f 2`
+FLAVORTEST=`echo ${FLAVOR} | sed -e s/^s// | cut -c-6`
+if [ "X${FLAVORTEST}" = "Xxemacs" ]; then
+  FLAVOR_BODY=`echo ${FLAVOR} | cut -d - -f 1`
+  if [ "X${FLAVOR_SUFFIX}" = "Xmule" ]; then
+    EMACSEN_MULE=`ls @PREFIX@/bin/${FLAVOR_BODY}*-mule* 2>/dev/null | head -1`
+    if [ -n "${EMACSEN_MULE}" ]; then
+      EMACSEN_MULE=`basename ${EMACSEN_MULE}`
+    fi
+    EMACSEN_NOMULE=""
+  elif [ "X${FLAVOR_SUFFIX}" = "Xnomule" ]; then
+    EMACSEN_MULE=""
+    EMACSEN_NOMULE=`ls @PREFIX@/bin/${FLAVOR_BODY}*-nomule* 2>/dev/null | head -1`
+    if [ -n "${EMACSEN_NOMULE}" ]; then
+      EMACSEN_NOMULE=`basename ${EMACSEN_NOMULE}`
+    fi
+  else
+    FLAVOR_SUFFIX=""
+    EMACSEN_MULE=`ls @PREFIX@/bin/${FLAVOR}*-mule* 2>/dev/null | head -1`
+    if [ -n "${EMACSEN_MULE}" ]; then
+      EMACSEN_MULE=`basename ${EMACSEN_MULE}`
+    fi
+    EMACSEN_NOMULE=`ls @PREFIX@/bin/${FLAVOR}*-nomule* 2>/dev/null | head -1`
+    if [ -n "${EMACSEN_NOMULE}" ]; then
+      EMACSEN_NOMULE=`basename ${EMACSEN_NOMULE}`
+    fi
+  fi
+fi
+
+COMPILED=no
+for EMACSEN in "${EMACSEN_MULE}" "${EMACSEN_NOMULE}"; do
+  if [ -n "${EMACSEN}" ]; then
+    ELCDIR=${ELCDIR_BASE}
+    APEL_DIR=${APEL_DIR_BASE}
+    FLIM_DIR=${FLIM_DIR_BASE}
+    SEMI_DIR=${SEMI_DIR_BASE}
+    W3M_DIR=${W3M_DIR_BASE}
+    BBDB_DIR=${BBDB_DIR_BASE}
+    if [ "X${FLAVORTEST}" = "Xxemacs" -a -z "${FLAVOR_SUFFIX}" ]; then
+      if [ "X${EMACSEN}" = "X${EMACSEN_MULE}" ]; then
+	/bin/echo "install/${PACKAGE}: Byte-compiling for ${FLAVOR} (mule) ...\c"
+        ELCDIR=${ELCDIR}/mule
+	if [ -d ${APEL_DIR_BASE}/mule ]; then
+	  APEL_DIR=${APEL_DIR_BASE}/mule
+	fi
+	if [ -d ${FLIM_DIR_BASE}/mule ]; then
+	  FLIM_DIR=${FLIM_DIR_BASE}/mule
+	fi
+	if [ -d ${SEMI_DIR_BASE}/mule ]; then
+	  SEMI_DIR=${SEMI_DIR_BASE}/mule
+	fi
+	if [ -d ${W3M_DIR_BASE}/mule ]; then
+	  W3M_DIR=${W3M_DIR_BASE}/mule
+	fi
+	if [ -d ${BBDB_DIR_BASE}/mule ]; then
+	  BBDB_DIR=${BBDB_DIR_BASE}/mule
+	fi
+      else
+	/bin/echo "install/${PACKAGE}: Byte-compiling for ${FLAVOR} (nomule) ...\c"
+        ELCDIR=${ELCDIR}/nomule
+	if [ -d ${APEL_DIR_BASE}/nomule ]; then
+	  APEL_DIR=${APEL_DIR_BASE}/nomule
+	fi
+	if [ -d ${FLIM_DIR_BASE}/nomule ]; then
+	  FLIM_DIR=${FLIM_DIR_BASE}/nomule
+	fi
+	if [ -d ${SEMI_DIR_BASE}/nomule ]; then
+	  SEMI_DIR=${SEMI_DIR_BASE}/nomule
+	fi
+	if [ -f ${ELCDIR_BASE}/mule/elmo-shimbun.elc ]; then
+	  W3M_DIR=""
+	fi
+	if [ -d ${W3M_DIR_BASE}/nomule ]; then
+	  W3M_DIR=${W3M_DIR_BASE}/nomule
+	fi
+	if [ -d ${BBDB_DIR_BASE}/nomule ]; then
+	  BBDB_DIR=${BBDB_DIR_BASE}/nomule
+	fi
+      fi
+    else
+      /bin/echo "install/${PACKAGE}: Byte-compiling for ${FLAVOR} ...\c"
+    fi
+    STAMP="${ELCDIR}/compile-stamp"
+    if [ -f ${W3M_DIR}/shimbun/shimbun.elc -a ! -f ${ELCDIR}/elmo-shimbun.elc ]; then
+      rm -f ${STAMP}
+    elif [ ! -f ${W3M_DIR}/shimbun/shimbun.elc -a -f ${ELCDIR}/elmo-shimbun.elc ]; then
+      rm -f ${STAMP}
+    elif [ -f ${W3M_DIR}/shimbun/shimbun.elc -a -f ${ELCDIR}/elmo-shimbun.elc ]; then
+      if [ ${W3M_DIR}/shimbun/shimbun.elc -nt ${ELCDIR}/elmo-shimbun.elc ]; then
+	rm -f ${STAMP}
+      fi
+    fi
+    if [ -f ${BBDB_DIR}/bbdb.elc -a ! -f ${ELCDIR}/bbdb-wl.elc ]; then
+      rm -f ${STAMP}
+    elif [ ! -f ${BBDB_DIR}/bbdb.elc -a -f ${ELCDIR}/bbdb-wl.elc ]; then
+      rm -f ${STAMP}
+    elif [ -f ${BBDB_DIR}/bbdb.elc -a -f ${ELCDIR}/bbdb-wl.elc ]; then
+      if [ ${BBDB_DIR}/bbdb.elc -nt ${ELCDIR}/bbdb-wl.elc ]; then
+	rm -f ${STAMP}
+      fi
+    fi
+    if [ -f ${SEMI_DIR}/compile-stamp -a ! -f ${ELCDIR}/compile-stamp ]; then
+      rm -f ${STAMP}
+    elif [ ! -f ${SEMI_DIR}/compile-stamp -a -f ${ELCDIR}/compile-stamp ]; then
+      rm -f ${STAMP}
+    elif [ -f ${SEMI_DIR}/compile-stamp -a -f ${ELCDIR}/compile-stamp ]; then
+      if [ ${SEMI_DIR}/compile-stamp -nt ${ELCDIR}/compile-stamp ]; then
+	rm -f ${STAMP}
+      fi
+    fi
+    if [ -e "${STAMP}" ]; then
+      if [ "X${VERSION}" = X"`cat ${STAMP}`" ]; then
+	echo " skipped. (already compiled)" 
+      else
+	rm -f ${STAMP}
+      fi
+    fi
+    if [ ! -e "${STAMP}" ]; then
+      if [ "X${FLAVORTEST}" = "Xxemacs" -a -z "${FLAVOR_SUFFIX}" ]; then
+	rm -f ${ELCDIR_BASE}/*.el ${ELCDIR_BASE}/*.elc
+      fi
+      rm -rf ${ELCDIR}
+      install -m 755 -d ${ELCDIR}/tmp
+      cp -r ${ELDIR}/* ${ELCDIR}/tmp/
+      rm -rf ${ELCDIR}/tmp/etc/icons
+      ln -sf @PREFIX@/share/pixmaps/wl ${ELCDIR}/tmp/etc/icons
+      ( cd ${ELCDIR}/tmp
+	cat << EOF > WL-CFG.el
+(setq wl-install-utils t)
+(setq load-path (cons "${APEL_DIR}" load-path))
+(setq load-path (cons "${FLIM_DIR}" load-path))
+(setq load-path (cons "${SEMI_DIR}" load-path))
+(setq load-path (cons "${BBDB_DIR}" load-path))
+EOF
+	if [ -n "${W3M_DIR}" ]; then
+	  cat << EOF >> WL-CFG.el
+(setq load-path (cons "${W3M_DIR}/shimbun" load-path))
+(setq load-path (cons "${W3M_DIR}" load-path))
+EOF
+	fi
+	make EMACS=${EMACSEN} LISPDIR=${ELCDIR} PIXMAPDIR=${ELCDIR}/icons \
+	  > ${ELCDIR}/CompilationLog 2>&1
+	make EMACS=${EMACSEN} LISPDIR=${ELCDIR} PIXMAPDIR=${ELCDIR}/icons \
+	  install >> ${ELCDIR}/CompilationLog 2>&1
+	cd ${ELCDIR}
+	echo "mv ${ELCDIR}/wl/wl-news.el ${ELCDIR}/" >> ${ELCDIR}/CompilationLog 2>&1
+	mv ${ELCDIR}/wl/wl-news.el ${ELCDIR}/
+	echo "rm -rf ${ELCDIR}/wl/*.el ${ELCDIR}/icons ${ELCDIR}/tmp" >> ${ELCDIR}/CompilationLog 2>&1
+	rm -rf ${ELCDIR}/wl/*.el ${ELCDIR}/icons ${ELCDIR}/tmp
+	echo "mv ${ELCDIR}/wl/* ${ELCDIR}/" >> ${ELCDIR}/CompilationLog 2>&1
+	mv ${ELCDIR}/wl/* ${ELCDIR}/
+	echo "rm -rf ${ELCDIR}/wl" >> ${ELCDIR}/CompilationLog 2>&1
+	rm -rf ${ELCDIR}/wl
+	for d in "${ELDIR}/elmo" "${ELDIR}/utils" "${ELDIR}/wl"; do
+	  if [ -d ${d} ]; then
+	    cd ${d}
+	    for f in *.el; do
+	      if [ -f ${ELCDIR}/${f}c ]; then
+		ln -sf ${d}/${f} ${ELCDIR}/${f}
+	      fi
+	    done
+	  fi
+	done
+      )
+      gzip -9 ${ELCDIR}/CompilationLog
+      chmod 644 ${ELCDIR}/CompilationLog.gz
+      if [ -f ${ELCDIR}/elmo.elc ]; then
+	touch ${ELCDIR}/*.elc
+	chmod 644 ${ELCDIR}/*.elc
+	echo "${VERSION}" > ${STAMP}
+	chmod 644 ${STAMP}
+	COMPILED=yes
+      fi
+      if [ "X${FLAVORTEST}" = "Xxemacs" -a -z "${FLAVOR_SUFFIX}" ]; then
+	if [ -e ${ELCDIR_BASE}/mule/compile-stamp ]; then
+	  ln -sf ${ELCDIR_BASE}/mule/*.elc ${ELCDIR_BASE}/mule/*.el ${ELCDIR_BASE}/
+	elif [ -e ${ELCDIR_BASE}/nomule/compile-stamp ]; then
+	  ln -sf ${ELCDIR_BASE}/nomule/*.elc ${ELCDIR_BASE}/nomule/*.el ${ELCDIR_BASE}/
+	fi
+      fi
+      echo " done."
+    fi
+  fi
+done
+
+if [ "X${COMPILED}" = Xyes ]; then
+  # recompile mhc for mhc-wl
+  pkg=mhc
+  if [ -d @PREFIX@/share/${FLAVOR}/site-lisp/${pkg} ]; then
+    if [ -f @PREFIX@/lib/emacsen-common/packages/install/${pkg} ]; then
+      @PREFIX@/lib/emacsen-common/packages/remove/${pkg} ${FLAVOR}
+      @PREFIX@/lib/emacsen-common/packages/install/${pkg} ${FLAVOR}
+    fi
+  fi
+fi
+
+exit 0
diff -Naur wl-2.14.0.orig/fink/wl-remove wl-2.14.0/fink/wl-remove
--- wl-2.14.0.orig/fink/wl-remove	1970-01-01 09:00:00.000000000 +0900
+++ wl-2.14.0/fink/wl-remove	2006-03-23 11:46:58.000000000 +0900
@@ -0,0 +1,25 @@
+#!/bin/sh
+# @PREFIX@/lib/emacsen-common/packages/remove/wl
+set -e
+
+FLAVOR=$1
+PACKAGE=wl
+
+if [ "X${FLAVOR}" = "X" ]; then
+  echo Need argument to determin FLAVOR of emacsen
+  exit 1
+fi
+if [ "X${PACKAGE}" = "X" ]; then
+  echo Internal error: need package nameen
+  exit 1
+fi
+if [ "X${FLAVOR}" = Xemacs ]; then exit 0; fi
+if [ "X${FLAVOR}" = Xemacs19 ]; then exit 0; fi
+
+ELCDIR=@PREFIX@/share/${FLAVOR}/site-lisp/wl
+
+/bin/echo "remove/${PACKAGE}: Handling removal of emacsen flavor ${FLAVOR} ...\c"
+rm -rf ${ELCDIR}
+echo " done."
+
+exit 0
diff -Naur wl-2.14.0.orig/fink/wl-startup wl-2.14.0/fink/wl-startup
--- wl-2.14.0.orig/fink/wl-startup	1970-01-01 09:00:00.000000000 +0900
+++ wl-2.14.0/fink/wl-startup	2006-03-23 11:50:31.000000000 +0900
@@ -0,0 +1,92 @@
+;;; 65wl.el --- Fink wl startup file  -*-mode: emacs-lisp;-*-
+
+;;; Code:
+
+(let ((elc-dir (concat "@PREFIX@/share/" (symbol-name fink-emacs-flavor) "/site-lisp/wl")))
+  (if (or (not (file-exists-p "@PREFIX@/lib/emacsen-common/packages/install/wl"))
+	  (not (file-directory-p elc-dir)))
+      ()
+    (if (featurep 'xemacs)
+	(if (featurep 'mule)
+	    (and (file-directory-p (concat elc-dir "/mule"))
+		 (setq elc-dir (concat elc-dir "/mule")))
+	  (and (file-directory-p (concat elc-dir "/nomule"))
+	       (setq elc-dir (concat elc-dir "/nomule")))))
+    (if (and nil (fboundp 'fink-pkg-add-load-path-item)) ; fink-pkg-* is not
+	(fink-pkg-add-load-path-item elc-dir)            ; correctly working.
+      (setq load-path (cons elc-dir load-path)))
+    (autoload 'wl-user-agent-compose "wl-draft" nil t)
+    (if (fboundp 'define-mail-user-agent)
+	(define-mail-user-agent
+	  'wl-user-agent
+	  'wl-user-agent-compose
+	  'wl-draft-send
+	  'wl-draft-kill
+	  'mail-send-hook))
+    (autoload 'wl "wl" "Wanderlust" t)
+    (autoload 'wl-other-frame "wl" "Wanderlust on new frame." t)
+    (autoload 'wl-draft "wl" "Write draft with Wanderlust." t)
+    (setq wl-icon-directory "@PREFIX@/share/pixmaps/wl/")
+    ;(setq ssl-certificate-directory "@PREFIX@/etc/ssl/certs")
+    ;(setq ssl-certificate-verification-policy 3)
+    (setq elmo-archive-tar-method-alist
+	  '((ls    . ("tar" "-tf"))
+	    (cat   . ("tar" "-Oxf"))
+	    (ext   . ("tar" "-xf"))
+	    ;;(rm    . ("tar" "--delete" "-f")) ;; well not work
+	    ))
+    (setq elmo-archive-tgz-method-alist
+	  '((ls         . ("tar" "-ztf"))
+	    (cat        . ("tar" "-Ozxf"))
+	    (create     . ("tar" "-zcf"))
+	    ;;(rm         . elmo-archive-tgz-rm-func)
+	    (cp         . elmo-archive-tgz-cp-func)
+	    (mv         . elmo-archive-tgz-mv-func)
+	    (ext        . ("tar" "-zxf"))
+	    ;; tgz special method
+	    (decompress . ("gzip" "-d"))
+	    (compress   . ("gzip"))
+	    (append     . ("tar" "-uf"))
+	    ;;(delete     . ("tar" "--delete" "-f")) ;; well not work
+	    ))
+    (if (and (not (featurep 'mule)) (not (boundp 'MULE)))
+	(setq wl-thread-indent-level 1
+	      wl-thread-have-younger-brother-str "+"
+	      wl-thread-youngest-child-str      "+"
+	      wl-thread-vertical-str            "|"
+	      wl-thread-horizontal-str          "-"
+	      wl-thread-space-str               " "))
+    (if (and (featurep 'xemacs)
+	     (fboundp 'user-mail-address)
+	     (boundp 'user-mail-address)
+	     (not user-mail-address)
+	     (boundp 'query-user-mail-address)
+	     (not query-user-mail-address))
+        (user-mail-address))
+    (if (not (and (boundp 'user-mail-address)
+		  (> (length user-mail-address) 0)))
+	(setq wl-from
+	      (concat
+	       (if (and (boundp 'user-full-name)
+			(> (length user-full-name) 0))
+		   (concat user-full-name " <"))
+	       (if (and (boundp 'user-login-name)
+			(> (length user-login-name) 0))
+		   user-login-name
+		 (if (fboundp 'user-login-name)
+		     (user-login-name)
+		   ""))
+	       "@"
+	       (if (and (boundp 'mail-host-address)
+			(> (length mail-host-address) 0))
+		   mail-host-address
+		 (if (fboundp 'system-name)
+		     (system-name)
+		   "localhost"))
+	       (if (and (boundp 'user-full-name)
+			(> (length user-full-name) 0))
+		   ">"))))
+    ;;
+    ))
+
+;;; 65wl.el ends here